PipeWire 0.2.6

Data Fields
pw_global_events Struct Reference

Global events, use pw_global_add_listener. More...

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| The global is destroyed. More...
void(* | free )(void *data)
| The global is freed. More...
void(* | bind )(void *data, struct pw_client *client, uint32_t permissions, uint32_t version, uint32_t id)
void(* | permissions_changed )(void *data, struct pw_client *client, uint32_t old_permissions, uint32_t new_permissions)

## Detailed Description

Global events, use pw_global_add_listener.

## Field Documentation

## ◆ bind

void(* pw_global_events::bind) (void *data, struct pw_client *client, uint32_t permissions, uint32_t version, uint32_t id)

## ◆ destroy

void(* pw_global_events::destroy) (void *data)

The global is destroyed.

## ◆ free

void(* pw_global_events::free) (void *data)

The global is freed.

## ◆ permissions_changed

void(* pw_global_events::permissions_changed) (void *data, struct pw_client *client, uint32_t old_permissions, uint32_t new_permissions)

## ◆ version

uint32_t pw_global_events::version

The documentation for this struct was generated from the following file:

- global.h